/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.layout;

import y.layout.EdgeLayout;
import y25.graphics.BoundingBox;

/**
 * Provides 2.5D layout information for edges.
 * <p>
 * Currently, only the 2D layout informations inherited from the interface
 * <code>EdgeLayout</code> are provided for edges.
 * 
 * @author Werner Jainek
 */
public interface EdgeLayout25D extends EdgeLayout {

	/**
	 * Returns the relative bounding box that encompasses the edge.
	 * <p>
	 * "Relative" means, that the z-position of the layer that the edge belongs
	 * to is treated as the origin.
	 */
	public BoundingBox getRelativeBoundingBox();
}
