/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.layout;

import y25.graphics.BoundingBox;

/**
 * Provides 2.5D layout information for layer edges.
 * <p>
 * Currently, only a bounding box that encompasses the entire layer edge is
 * provided as information. In the future, the layer edge layout information may
 * be extended to allow bends inside layer edges.
 * 
 * @author Werner Jainek
 */
public interface LayerEdgeLayout25D {

	/**
	 * Returns the bounding box that encompasses the entire layer edge.
	 */
	public BoundingBox getBoundingBox();
}
