/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.layout;

import y.layout.LayoutGraph;
import y.layout.Layouter;
import y25.base.GraphCursor;

/**
 * Applies a 2D Layouter to all Graphs inside a LayeredLayoutGraph individually.
 * 
 * @author Werner Jainek
 * 
 */
public class Layouter25DAdapter implements Layouter25D {

	/**
	 * The 2D layouter.
	 */
	Layouter layouter;

	/**
	 * Creates an instance of Layouter25DAdapter that uses the given 2D
	 * layouter.
	 */
	public Layouter25DAdapter(Layouter layouter) {
		this.layouter = layouter;
	}

	public boolean canLayout(LayeredLayoutGraph llg) {

		for (GraphCursor gc = llg.graphs(); gc.ok(); gc.next()) {

			if (!layouter.canLayout((LayoutGraph) gc.graph())) {
				return false;
			}
		}

		return true;
	}

	public void doLayout(LayeredLayoutGraph llg) {

		for (GraphCursor gc = llg.graphs(); gc.ok(); gc.next()) {

			layouter.doLayout((LayoutGraph) gc.graph());
		}
	}

}
