/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.view;

import javax.media.opengl.GLAutoDrawable;

import y25.graphics.Camera;
import y25.layout.LayerLayout25D;

/**
 * Provides a mechanism for rendering layers into an OpenGL context.
 * 
 * @author Werner Jainek
 */
public interface LayerRealizer25D extends LayerLayout25D {

	/**
	 * Creates a copy of this realizer and returns it.
	 */
	public LayerRealizer25D createCopy();

	/**
	 * Renders the layer this realizer belongs to into the given drawable.
	 * <p>
	 * The passed camera is the one that is used to display this layer. It can
	 * be used, for example, to render a layer differently depending on the
	 * viewing position, or to display labels that always face the viewer.
	 */
	public void paintGL(GLAutoDrawable drawable, Camera camera);

	/**
	 * Returns <code>true</code> if this realizer is currently selected,
	 * <code>false</code> otherwise.
	 */
	public boolean isSelected();

	/**
	 * Sets the selection state of this realizer.
	 */
	public void setSelected(boolean selected);

	/**
	 * Returns the label text of the label associated with this realizer.
	 */
	public String getLabelText();

	/**
	 * Sets the label text of the label associated with this realizer.
	 */
	public void setLabelText(String text);

}
